#
#   ___   ___                                   _     _                       _ 
#  / __| / __|  ___   _ __   ___   _ _   __ _  | |_  (_)  ___   _ _    __ _  | |
# | (__  \__ \ / _ \ | '_ \ / -_) | '_| / _` | |  _| | | / _ \ | ' \  / _` | | |
#  \___| |___/ \___/ | .__/ \___| |_|   \__,_|  \__| |_| \___/ |_||_| \__,_| |_|
#                    |_|                                                        

#################################################################################
# RECIPE DESCRIPTION 
#################################################################################

Description:
    Author: N.Pérez-Zanón # [Optional?/str]
Info: This is a test to transform s2s4e data-analysis for SEAS5 # [Optional?/str]

#################################################################################
# ANALYSIS CONF
#################################################################################

Analysis: 
  Horizon: Seasonal # [Mandatory/str (either seasonal, subseasonal, decadal)]
  Variables:
      ECVs: # [Mandatory/list of dicts {name: <str>, freq: <str>} or None] 
      - {name: tas, freq: monthly_mean}
      Indicators: # list of strs?
      - None
  Datasets:
    System: 
      - name: ECMWF-SEAS5 # list of strs
    Multimodel: False # boolean, if true system above are aggregated into single multi-model
    Reference: # single dict? in the future multiple ref can be an asset 
      - {name: ERA5} # str
  Time:
    sdate: 
      fcst_syear: ["2017"] # list of ints or None (case where only hcst is verfied)
      fcst_sday: ["0701", "0601"] # int or list of ints with MMDD format 
    hcst_start: "1993" # int mandatory
    hcst_end: "2016" # int mandatory
    leadtimemin: 2 # int mandatory
    leadtimemax: 4 # int mandatory [units????]
  Region:
    - {latmin: -90, latmax: 90, lonmin: 0, lonmax: 360}
    - {latmin: -10, latmax: 10, lonmin: 0, lonmax: 20} 
  Regrid:
    method: bilinear # str mandatory
    type: to_system # str either to_system, to_reference or CDO-compatible grid mandatory
  Data_load:
    module: "modules/data_load/seas5.load.R"
  Workflow:
    Calibration:
      method: SBC # str
    Skill:
      metric: RPSS # str
    Indicators:
      index: FALSE # bool 
  Output_format: S2S4E # str

#################################################################################
# Run CONF
#################################################################################

Run:
  Loglevel: INFO # str
  Terminal: TRUE # bool
  output_dir: /esarchive/scratch/lpalma/git/auto-s2s/out-logs/
  code_dir: /esarchive/scratch/lpalma/git/auto-s2s/


